petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMInterpolationInfo

Structure for holding information about interpolation on a mesh

### Synopsis

    comm   - The communicator
    dim    - The spatial dimension of points
    nInput - The number of input points
    points - The input point coordinates
    cells  - The cell containing each point
    n      - The number of local points
    coords - The point coordinates
    dof    - The number of components to interpolate

### See Also

DMInterpolationCreate(), DMInterpolationEvaluate(), DMInterpolationAddPoints()

### Level

intermediate

### Location

src/dm/../../include/petscdm.h
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages